<h4>Select the rosters you want to synchronize.</h4>
<div class="" *ngIf="token && rosters.length">
    <div class="">
        <button class="btn btn-primary" (click)="synchronizeAll()">Synchronize all <i class="fa fa-refresh"></i></button>
        <button class="btn btn-danger" (click)="unSynchronizeAll()">Desynchronize all <i class="fa fa-window-close"></i></button>
        <br>
        <br>
        <div class="alert alert-info" *ngIf="operationStatus.length">
            {{ operationStatus }}
        </div>
        <br>
    </div>
    <table class="table table-stripped">
        <thead>
            <th>Id</th>
            <th>Name</th>
            <th>Privacy</th>
            <th>Openning<br>state</th>
            <th>Actions</th>
        </thead>
        <tbody>
            <tr *ngFor="let roster of rosters">
                <td>
                    <input type="checkbox" [checked]="isSynchronizedRoster(roster.id)" (click)="alert('er')" value="">
                    #{{roster.id}}
                </td>
                <td>{{roster.name}}
                    <div class="" *ngIf="roster.members && roster.members.length">
                        <strong>Members:</strong><br>
                        <div class="" style="font-size:10px">
                            <span *ngFor="let member of roster.members[0]">
                                {{ member.user.firstname }} {{ member.user.lastname }},
                            </span>
                        </div>
                    </div>
                </td>
                <td>{{roster.private}}</td>
                <td>{{roster.open ? 'yes' : 'no'}}</td>
                <td>
                    <span class="label label-primary" style="cursor:pointer" (click)="synchronizeRoster(roster.id)" ><i class="fa fa-refresh"></i></span>
                    <span class="label label-danger" style="cursor:pointer" (click)="unSynchronize(roster.id)" ><i class="fa fa-window-close"></i></span>
                </td>
            </tr>
        </tbody>
    </table>
    <button class="btn btn-success" (click)="leave()">Save and Leave</button>
</div>
